summaryrefslogtreecommitdiff
path: root/Master/tlpkg/bin/tl-update-images
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2018-01-08 16:34:25 +0000
committerKarl Berry <karl@freefriends.org>2018-01-08 16:34:25 +0000
commit9b36c30d1213436b0c7919940c67b142b5d982c0 (patch)
treea85d727ddf17d795b85bed60679569c439f17acd /Master/tlpkg/bin/tl-update-images
parent893fdc2c34c65c04194465511716467ad0923f59 (diff)
set up for 2018 test images
git-svn-id: svn://tug.org/texlive/trunk@46249 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/tlpkg/bin/tl-update-images')
-rwxr-xr-xMaster/tlpkg/bin/tl-update-images12
1 files changed, 8 insertions, 4 deletions
diff --git a/Master/tlpkg/bin/tl-update-images b/Master/tlpkg/bin/tl-update-images
index 9e420b49e66..70540544c06 100755
--- a/Master/tlpkg/bin/tl-update-images
+++ b/Master/tlpkg/bin/tl-update-images
@@ -2,7 +2,7 @@
# $Id$
# Create the .iso image(s) for TeX Live.
#
-# Copyright 2007-2017 Karl Berry.
+# Copyright 2007-2018 Karl Berry.
# Copyright 2003, 2004, 2005 Sebastian Rahtz.
#
# This file is licensed under the GNU General Public License version 2
@@ -12,7 +12,7 @@
# Historical notes at the end of the script.
NAME=texlive
-V=2017
+V=2018
D=`date +%Y%m%d`
target=/home/ftp/texlive/Images/test
@@ -101,6 +101,10 @@ MAKEINST ()
if $debug; then
echo "source = `pwd`"
fi
+ if test ! -r install-tl; then
+ echo "$0: no install-in in `pwd`, goodbye." >&2
+ exit 1
+ fi
cp -pr install-tl *.bat tlpkg archive $imgdir
# remove platforms to save space on the dvd.
@@ -156,8 +160,8 @@ MAKEINST ()
$master/tlpkg/bin/tl-sign-file $prefix.iso.sha512 || exit 1
# symlinks with short name (potentially used in /etc/fstab).
- rm $prefix.iso; ln -s `basename $iso` $prefix.iso # with year
- rm $target/$NAME.iso; ln -s `basename $iso` $target/$NAME.iso # no year
+ rm -f $prefix.iso; ln -s `basename $iso` $prefix.iso # with year
+ rm -f $target/$NAME.iso; ln -s `basename $iso` $target/$NAME.iso # no year
# at the end, all the files should be non-empty.
all_ok=true